#!/bin/bash
cd src

#pyinstaller --specpath ../dist/cspec \
#  --workpath ../dist/cbuild \
#  --distpath ../dist/cdist \
#  --add-data ../../src/py_to_uxf/appsettings.json:. \
#  --hidden-import pynput.keyboard._xorg \
#  --hidden-import pynput.mouse._xorg \
#  --hidden-import pyfiglet.fonts \
#  --collect-data pyfiglet \
#  -n py_to_uxf \
#  -y \
#  py_to_uxf/main.py

build=../dist/cbuild/
python -m nuitka \
  --standalone \
  --follow-imports \
  --include-package=pkg_resources \
  --include-package=pynput.keyboard._xorg \
  --include-package=pynput.mouse._xorg \
  --include-package=pyfiglet.fonts \
  --include-package=Xlib \
  --include-package-data=pyfiglet \
  --output-dir=$build \
  py_to_uxf/main.py


file="py_to_uxf/appsettings.json"
if [ -f "$file" ]; then
  if [ -d "$build/main.dist/" ]; then
    build=$build/main.dist/
  fi
  cp $file $build
fi

cd ../
